%define _requires_exceptions devel(libatiuki)
Name:          kde-toys
Summary:       K Desktop Environment - Toys and Amusements
Summary(de):   K Desktop Umgebung - Spielzeug 
Version:       14.12.3
Release:       %mkrel 2
URL:           ftp://ftp.kde.org/pub/kde/unstable/%version/src/
Source0:	ftp://ftp.kde.org/pub/kde/unstable/%version/src/amor-%version.tar.xz
Source1:	ftp://ftp.kde.org/pub/kde/unstable/%version/src/kteatime-%version.tar.xz
Group:	       Graphical desktop/KDE4
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:       GPL
BuildRequires: kdelibs-devel 
BuildRequires: kde-workspace-devel 
BuildRequires: qimageblitz-devel
Provides: armor
Provides: kteatime
Obsoletes:	kde-toys-devel

%description
Toys for the K Desktop Environment.

Software included in this package are:
	- amor: Amusing Misuse Of Resources put's comic figures above your windows
	- kteatime: system tray applet that makes sure your tea doesn't get too strong
    
#german
%description -l de
 - AMOR: ist eine kleine Animation, die auf Ihrem aktuellen Fenster sitzt.

 - KTeaTime: der KDE-Teekocher.

#-------------------------------------------------------------------

%files 
%defattr(-,root,root)
%_kde_bindir/amor
%_kde_datadir/applications/kde4/amor.desktop
%_kde_appsdir/amor
%_kde_iconsdir/hicolor/*/apps/amor.png
%doc %_kde_docdir/HTML/en/amor
%_kde_mandir/man6/amor.6.*
%_datadir/dbus-1/interfaces/org.kde.amor.xml

%_kde_bindir/kteatime
%_kde_appsdir/kteatime
%_kde_datadir/applications/kde4/kteatime.desktop
%_kde_iconsdir/hicolor/*/apps/kteatime.*
%doc %_kde_docdir/HTML/en/kteatime

#-------------------------------------------------------------------

%prep
%setup -c -a 0 amor-%{version}
%setup -c -a 1 kteatime-%{version}


%build
export LD=/usr/bin/ld.gold
cd amor-%{version}
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

cd ..
cd ..

cd kteatime-%{version}
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot

cd amor-%{version}
%makeinstall_std -C build
cd ..

cd kteatime-%{version}
%makeinstall_std -C build
cd ..


#MENU entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Compression" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Toys" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/kteatime.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Compression" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Toys" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/amor.desktop


%clean
rm -fr %buildroot

%changelog
* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 14.12.3-2pclos2015
- rebuild on 15.04

* Sun Mar 08 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

